WP-SETUP(1)

NAME
wp-setup - wordpress setup for Debian

SYNOPSIS
wp-setup action

DESCRIPTION
This script's purpose is to make it easier to manage Wordpress installations on Debian systems. For now, it's mainly for the package's internal usage though.

ACTIONS

--sync-wp-content
    Update /var/lib/wordpress/wp-content/{plugins,themes}/ based on what's available in /usr/share/wordpress/wp-content/{plugins,themes}. This command is run by the package's postinst script every time that dpkg installs a package that modifies something in /usr/share/wordpress/wp-content/.

--purge-wp-content
    Remove all symlinks from /var/lib/wordpress/wp-content/{plugins,themes}/ that point to corresponding directories in /usr/share/wordpress/wp-content/{plugins,themes}. This command is run by the package's prerm script to ensure everything is properly removed.

AUTHOR
Raphaël Hertzog <hertzog@debian.org>